Vibevoice
통합
모델 id
vibevoice/0.5b
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/vibevoice/0.5b?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"script": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"speaker": "Frank"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/vibevoice/0.5b?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"script": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"speaker": "Frank"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"script": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"speaker": "Frank",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/vibevoice/0.5b", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/ko/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "vibevoice/0.5b",
"input": {
"script": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"speaker": "Frank"
}
}
Doitong API를 통해 Vibevoice 모델(vibevoice/0.5b)을 호출합니다. 에이전트용 문서: https://doitong.com/ko/developers/models/vibevoice/0.5b.md
POST https://api.doitong.com/v1/run/vibevoice/0.5b?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"script": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"speaker": "Frank"
}
응답 상태가 "queued" 또는 "running"이면 "succeeded"가 될 때까지 GET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20을 폴링하세요. 파일은 outputs[].url에 있습니다. POST https://api.doitong.com/v1/quote/vibevoice/0.5b에 동일한 본문을 보내면 실행 전에 정확한 가격을 반환합니다.
이 요청: ≈$0.01 10 API 크레딧 이 페이지에서 실행
새 API 키입니다. 지금만 표시되며 이미 아래 코드와 API 키 필드에 입력되어 있습니다. 안전하게 보관하세요. 브라우저에서 실행되는 코드에 절대 넣지 마세요.
Microsoft · 오디오
첫 번째 결과가 여기에 표시됩니다
아래에서 요청을 작성하고 API 키로 실행하세요. 출력은 스토리지에 복사되며, 영구 보관하거나 7일 동안 무료로 보관할 수 있습니다.
요청 만들기
컨트롤은 모델 스키마에서 생성됩니다. 값을 변경하면 코드와 가격이 업데이트됩니다.
POST
/run/vibevoice/0.5b?wait=20
견적 → $0.01
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/vibevoice/0.5b?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"script": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"speaker": "Frank"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/vibevoice/0.5b?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"script": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"speaker": "Frank"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"script": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"speaker": "Frank",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/vibevoice/0.5b", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "vibevoice/0.5b",
"input": {
"script": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"speaker": "Frank"
},
"wait_seconds": 20
}
}
}
Vibevoice 정보
`speaker`로 선택한 한 음성으로 최대 90000자의 `script`를 읽습니다. 선택지는 Frank, Wayne, Carter, Emma, Grace, Mike입니다. `cfg_scale`(1~2)와 `seed`로 조정 및 재현성을 제어할 수 있습니다. 다중 화자 변형과 달리 한 번에 한 화자만 처리합니다.
매개변수
이름유형
기본값허용됨
설명
script필수
유형string
≤ 90,000자
음성 합성에 사용되는 스크립트입니다.
speaker필수
유형enum
FrankWayneCarterEmmaGraceMike
음성을 전달하는 데 사용되는 음성입니다.
seed선택 사항
유형integer | null
생성 결과를 재현할 수 있게 하는 무작위 시드입니다.
cfg_scale선택 사항
유형number
기본값1.3
1 – 2
CFG(Classifier-Free Guidance) 강도는 생성 결과가 텍스트를 얼마나 밀접하게 따르는지 결정하며, 설정값이 높을수록 일치도가 높아집니다.
enable_safety_checker선택 사항
유형boolean
기본값true
호출자에게 권한이 있으면 false로 설정해 검사를 완화할 수 있습니다.
필수
출력
GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "vibevoice/0.5b",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 10,
"usd": "0.01",
"charged": 10,
"refunded": 0
},
"input": {
"script": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"speaker": "Frank"
},
"output": {
"audio": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
"content_type": "audio/mpeg",
"file_name": "0-output.mp3",
"file_size": 1843200
},
"duration": 5,
"sample_rate": 24000,
"generation_time": 5.6,
"rtf": 0.53
},
"outputs": [
{
"type": "audio",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
"content_type": "audio/mpeg",
"file_size": 1843200,
"duration": 12,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
파일 보관 방식 선택모든 outputs[].url은 스토리지에 저장된 복사본입니다. 계정 설정 또는 ?storage=에 따라 영구 보관(GB-월 단위 과금)하거나 7일 동안 무료로 보관합니다.
모든 모델에서 동일한 구조이미지, 동영상, 오디오 모두 type, url, content_type, width, height 및 duration을 사용합니다. output은 모델 자체의 결과 객체입니다.
출력 필드
- audio
- object {url, content_type, file_name, file_size}합성된 음성이 포함된 오디오 파일입니다.
- duration
- number초 단위로 측정한 오디오 출력 길이입니다.
- sample_rate
- integer오디오 출력의 샘플링 레이트입니다.
- generation_time
- number초 단위로 측정한 오디오 생성 시간입니다.
- rtf
- numbergeneration_time을 audio_duration으로 나눈 실시간 계수입니다. 값이 작을수록 성능이 우수합니다.
다른 Vibevoice 변형
더 많은 모델: 텍스트를 음성으로
AI 에이전트용: 이 페이지의 Markdown 버전: https://doitong.com/ko/developers/models/vibevoice/0.5b.md. 모든 모델 및 가이드: https://doitong.com/developers/llms.txt